
Redmine - Defect #32739

Truncated images are still attached to the ticket when created by incoming e-mail

2020-01-02 14:08 - Robert Röttger

Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.4

Description

This ticket is refering to: https://www.redmine.org/projects/redmine/repository/revisions/3226

I have a Mail looking like:

CONTENT

------

SIGNATURE TEXT

SIGNATURE IMAGE

 I setup my delimiter "------" in incoming mail settings in redmine.

I send a mail. Ticket is Created.

Ticket Content Looks like:

CONTENT

 Everything is truncated perfectly.

BUT: the signature image is attached to the ticket. This shouldnt happen since its truncated. Maybe there must be changed in the

parse order? First strip, then parse files? Instead of parse files and then strip. Please have a look at this.

History

#1 - 2020-01-05 10:39 - Go MAEDA

I think it is the expected, natural behavior and not a defect.

Since attachments are not a part of the text body, the setting "Truncate emails after one of these lines" should not affect attachments.

#2 - 2020-01-05 11:28 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

In addition, you can use the setting "Exclude attachments by name" to truncate the attachments by name or using regular expressions.

I'm closing this as Invalid, please reopen if something is missing.

#3 - 2020-01-06 09:29 - Robert Röttger

- Status changed from Closed to Reopened

Let me clarify it again. I am not talking about attachments. I am talking about a INCLUDED signature image which REDMINE converts into a ticket

attachment. So for me this this image is clearly is a part of the "Content" (text body) because it is included (inline) and not attached to the mail. This is

why it should be truncated. It makes no sense at all to truncate the text around the image but not the image itself.

As for the setting "Exclude attachments by name": this will not work. the images are always called "image001.jpg" (seems this is the basic attachment

name for images inside the mail which is generated by redmine). I can not exclude them because then i exclude all inline images in the email body.

#4 - 2020-01-06 10:03 - Marius BĂLTEANU

Got it now, thanks for the clarification.
